Subject: Re: bug#10011: 24.0.91; Password prompt on linux console reads only every second key

From: Tassilo Horn <[email-masked]>
Date: Fri, 11 Nov 2011 10:47:29 +0100

Daiki Ueno <[email-masked]> writes:

Hi!

>> When I fire up emacs in a plain linux console and try to find an
>> encrypted file like C-x C-f ~/.authinfo.gpg RET, I get a password
>> prompt like
>>
>>   +----------------| Password:
>>
>> at the bottom of the screen.
>
> Do you mean you started up emacs without X?  If so...

Yes, exactly.  On a linux terminal without X.

>> I get a different, dialog-like password prompt:
>>
>>    +---------------------------+
>>    | Password:                 |
>>    | _________________________ |
>>    | <Ok>            <Cancel>  |
>>    +---------------------------+
>
> ...looks like a pinentry-curses dialog.  Actually the integration of
> pinentry-curses with Emacs is not yet ready:
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8791#8
> I was a bit surprised that the dialog is somehow working :)

But why do I get different password prompts depending of I use

  $ emacs ~/.authinfo.gpg

or

  $ emacs
    C-x C-f ~/.authinfo.gpg

> Anyway, workarounds are to use gpg1 without gpg-agent, or to preset
> your passphrase with gpg-preset-passphrase.

I use GnuPG 2.0.18, but that doesn't have gpg-preset-passphrase (at
least not as command).  Is that version 2.1-only (in that version's
online docs it is listed)?

Bye,
Tassilo